SitePoint Sponsor

User Tag List

Results 1 to 3 of 3

Hybrid View

  1. #1
    SitePoint Member
    Join Date
    Jul 2008
    Posts
    1
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    upgrading, or reinstalling sqlite on leopard

    Hi all

    Working through 'simply rails 2' on mac os 10.5 and having problems with installing sql lite.

    I have an old sql lite version already installed on this computer.

    What I would like to do is uninstall the old version and install a new one.

    I tried entering 'curl ....[dot]sqlite[dot]org/sqlite-3.5.4.tar.gz[/url] | tar zx' into the terminal as written in the book, then typing 'cd sqlite-3.5.4' in terminal, but it says directory not found ... but I can see the sqlite-3.5.4 in my user directory!

    How do I uninstall the old version which is still in my system, or upgrade it to the new one. If someone could help me out that would be great.

  2. #2
    padawan silver trophybronze trophy markbrown4's Avatar
    Join Date
    Jul 2006
    Location
    Victoria, Australia
    Posts
    4,115
    Mentioned
    28 Post(s)
    Tagged
    2 Thread(s)
    Hi there,

    try the following to update rails, rake and sqlite.
    Code:
     sudo gem update --system
     sudo gem install rails
     sudo gem update rake
     sudo gem update sqlite3-ruby

  3. #3
    SitePoint Member
    Join Date
    Aug 2008
    Posts
    1
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    i am having the same problem... i tried to fresh install of 3.6.0, but no luck so far (i.e. everything appears to install successfully, but when i run 'sqlite3 --version', it shows the old version 3.4.0)


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •